diff --git a/src/modules/alsa/alsa-util.c b/src/modules/alsa/alsa-util.c
index 1cbb3f3..3c7037a 100644
--- a/src/modules/alsa/alsa-util.c
+++ b/src/modules/alsa/alsa-util.c
@@ -250,6 +250,16 @@ int pa_alsa_set_hw_params(
 
     if (!pa_alsa_pcm_is_hw(pcm_handle))
         _use_tsched = FALSE;
+    else {
+        if(_use_tsched) {
+
+            /* try to disable period interrupts if hardware can do so */
+            if ((ret = snd_pcm_hw_params_set_disable_interrupts(pcm_handle, hwparams, 1)) < 0) {
+                pa_log_debug("snd_pcm_hw_params_set_disable_interrupts() failed: %s", pa_alsa_strerror(ret));
+                /* don't bail, keep going */
+            }
+        }
+    }
 
     if ((ret = set_format(pcm_handle, hwparams, &_ss.format)) < 0)
         goto finish;
